%define name padevchooser
%define version 0.9.4
%define rel 5
%define svn 35
%if %{svn}
%define release %mkrel 0.%{svn}.%rel
%else
%define release %mkrel %rel
%endif

Summary: PulseAudio Device Chooser
Name: %{name}
Version: %{version}
Release: %{release}
%if %{svn}
Source0: %{name}-%{svn}.tar.gz
%else
Source0: %{name}-%{version}.tar.gz
%endif
Source1: %{name}-16.png
Source2: %{name}-32.png
# gw from debian: use stock gtk icon
Patch0: padevchooser-fix-multiple-network-ifs.patch
License: GPLv2+
Group: Sound
Url: http://0pointer.de/lennart/projects/padevchooser/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel
BuildRequires: gnome-desktop-devel
BuildRequires: libglade2.0-devel
BuildRequires: libGConf2-devel
BuildRequires: libpulseaudio-devel >= 0.9.7
BuildRequires: libnotify-devel
BuildRequires: lynx
BuildRequires: desktop-file-utils
Requires: pulseaudio
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
PulseAudio Device Chooser is a simple GTK tool which registers an icon
in the tray area and allows quick access to some features of the
PulseAudio sound server. Specifically it can do for you:

* Notify about new sink/sources becoming available on the LAN
* Quickly change the default PulseAudio sink/source/server assigned to
  the current X11 display, selecting devices available on the LAN
* Start the auxiliary tools PulseAudio Volume Control, PulseAudio
  Volume Meter, PulseAudio Manager, PulseAudio Preferences

%prep
%if %{svn}
%setup -q -n %{name}
%else
%setup -q
%endif
%patch0 -p0 -b .mutliple-net-ifs

%build
%if %{svn}
NOCONFIGURE=1 ./bootstrap.sh
%endif
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icons
install -D -m 0644 %SOURCE1 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %SOURCE2 %{buildroot}%{_iconsdir}/%{name}.png

%if %mdkversion < 200900
%post
%update_desktop_database
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_desktop_database
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png


%changelog
* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.9.4-0.35.5mdv2009.0
+ Revision: 242158
- update license

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.9.4-0.35.4mdv2009.0
+ Revision: 218429
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 31 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.4-0.35.4mdv2008.1
+ Revision: 160890
- Fix %%postun (#37210)

* Wed Jan 16 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.4-0.35.3mdv2008.1
+ Revision: 153652
- Fix %%post[un] macros
- Add icons for x-desktop use (MDV#36579)
- Add BuildRequires on libpulse-devel >= 0.9.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.4-0.35.1mdv2008.1
+ Revision: 104254
- Add BuildRequires: gnome-desktop-devel
- Update to SVN snapshot
- Remove icons patch as names used are now in standard packages
- Remove mouse buttons patch (merged upstream)
- Update multiple network interface patch

* Fri Aug 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.3-4mdv2008.0
+ Revision: 70769
- Fix mouse buttons

* Fri Aug 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.3-3mdv2008.0
+ Revision: 70745
- Fix an issue with multiple network devices confusing listings.


* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 0.9.3-2mdv2007.0
+ Revision: 120294
- fix icon

* Mon Feb 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.3-1mdv2007.1
+ Revision: 116255
- Import padevchooser

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdv2007.0
- initial package

